Delete product
DELETE
/partners/products/{uuid}Soft-deletes a product or service by UUID.
HMAC signature + Bearer access token
Try this requestPath parameters
uuiduuidrequiredThe product UUID to delete.
Responses
200Product deleted successfully.404Product not found.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. TroubleshootDELETE
https://api.getcount.com/partners/products/{uuid}Request
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'DELETE';
const signingPath = '/products/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';
const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/products/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
});
console.log(await response.json());Response · 200
{
"status": "success",
"message": "Success on deleting Consulting — hourly product.",
"data": {
"deletedProduct": {
"id": "aa11bb22-cc33-dd44-ee55-ff6677889900",
"name": "Consulting — hourly",
"code": "SVC-001",
"description": "Consulting services",
"unitPrice": 150,
"purchasePrice": null,
"total": 150,
"tax": 0,
"currency": "USD",
"status": "active",
"pricingMethod": "hour",
"hidden": false,
"stockQuantity": null,
"timeEntryTask": false,
"categoryAccount": {
"id": "c8d9e0f1-a2b3-4567-cdef-789012345678",
"name": "Professional Services Income",
"type": "Income"
},
"purchaseCategoryAccount": null,
"taxes": [],
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-28T14:22:30.000Z"
}
}
}